module.exports = {
  create: {
    requestBody: [
      "name",
      "match_time",
      "single_time",
      "address",
      "format",
      "match_team",
      "status",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "match_time",
      "single_time",
      "address",
      "format",
      "match_team",
      "status",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        single_time: "single_time",
        address: "address",
        status: "status",
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
