module.exports = {
  create: {
    requestBody: ['name', 'create_user', 'create_id', 'logo', 'type', 'members', 'status', 'create_time', 'remark'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['name', 'create_user', 'create_id', 'logo', 'type', 'members', 'status', 'create_time', 'remark'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        name: 'name',
        create_user: 'create_user',
        create_id: 'create_id',
        type: 'type',
        status: 'status',
        create_time: 'create_time',
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  leave: {
    parameters: {
      query: {
        team_id: 'team_id',
        user_id: 'user_id',
      },
    },
    service: 'leaves',
  },
  userteam: {
    parameters: {
      query: {
        user_id: 'user_id',
      },
    },
    service: 'userteams',
  },
};
